//
// BspFile.h
//

#include <stdio.h>
#include "BspStruc.h"

		
extern	STATUS openBSP(char* filename);
extern	STATUS closeBSP(void);
extern	STATUS getDirectory(BSPDIRECTORY* pDirectory);
		
extern	STATUS getModel(BSPMODEL* pModel, short idxModel);
		
//
// FACE METHODS
//
extern STATUS getFace(BSPFACE* pFace, unsigned short idxFace);
extern	unsigned short getNumFaces(void);
extern	STATUS getFaceArray(BSPFACE* faceArray);
		
//
// EDGE METHODS
//
extern	STATUS getEdge(BSPEDGE* pEdge, long idxEdge);
extern	long getNumEdges(void);
extern	STATUS getEdgeArray(BSPEDGE* edgeArray);
		
//
// FACE INDEX METHODS
//
extern	STATUS getFaceIndex(unsigned short* pidxFace, unsigned short idxFaceIndex);
		
//
// EDGE INDEX METHODS
//
extern	STATUS getEdgeIndex(long* pidxEdge, long idxEdgeIndex);
extern	long getNumEdgeIndices(void);
extern	STATUS getEdgeIndicesArray(long* edgeIndicesArray);
		
//
// VERTEX METHODS
//
extern	STATUS getVertex(BSPVERTEX* pVertex, unsigned short idxVertex);
extern	unsigned short getNumVertices(void);
extern	STATUS getVerticesArray(BSPVERTEX* verticesArray);

//
// ENTITY METHODS
//
extern	STATUS getPlayerStartCoords(BSPVERTEX* pCoords);		

//
// MIPTEX METHODS
//
extern long getSizeOfMiptexLump(void);
extern STATUS getMiptexLump(BSPMIPTEXLUMP* pHeader);

/*
 * TEXINFO METHODS
 */
extern STATUS getTexinfo(BSPTEXINFO* pTexinfo, short idxTexinfo);
extern short getNumTexinfos(void);
extern STATUS getTexinfoArray(BSPTEXINFO* texinfoArray);
